Bug 534216 - (RHQ-1033) PC should do more than just log DEBUG messages for schema validation errors that occur while parsing plugin descriptors
PC should do more than just log DEBUG messages for schema validation errors t...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugin Container (Show other bugs)
1.1
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Heiko W. Rupp
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: rhq_triage
  Show dependency treegraph
 
Reported: 2008-10-27 16:36 EDT by Ian Springer
Modified: 2014-05-02 16:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-02 16:09:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2008-10-27 16:36:00 EDT
Here's the current code from PluginDescriptorLoader.loadPluginDescriptor():

            for (ValidationEvent event : vec.getEvents()) {
                log.debug("Plugin [" + pluginDescriptor.getName() + "] descriptor messages {Severity: "
                    + event.getSeverity() + ", Message: " + event.getMessage() + ", Exception: "
                    + event.getLinkedException() + "}");
            }

We should be logging these at least at WARN, or even abort loading of the plugin.
Comment 1 Red Hat Bugzilla 2009-11-10 15:22:18 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1033
Comment 2 wes hayutin 2010-02-16 11:52:15 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 3 wes hayutin 2010-02-16 11:58:10 EST
making sure we're not missing any bugs in rhq_triage

Note You need to log in before you can comment on or make changes to this bug.